# ref: https://nikitabobko.github.io/AeroSpace/commands
# ref: https://nikitabobko.github.io/AeroSpace/guide

after-startup-command = []
start-at-login = true

enable-normalization-flatten-containers = true
enable-normalization-opposite-orientation-for-nested-containers = true
on-focused-monitor-changed = ['move-mouse monitor-lazy-center']
automatically-unhide-macos-hidden-apps = true

accordion-padding = 0
default-root-container-layout = 'accordion' # opts: tiles accordion
default-root-container-orientation = 'vertical' # opts: horizontal vertical auto

[key-mapping]
    preset = 'qwerty' # opts: qwerty dvorak colemak

[gaps]
    inner.horizontal = 0  # inner* - between windows and other windows
    inner.vertical =   0
    outer.left =       0  # outer* - between windows and monitor edges
    outer.bottom =     0
    outer.top =        0
    outer.right =      0

[mode.main.binding]
    # layouts
    cmd-comma = 'layout v_accordion'
    cmd-period = 'layout h_tiles'
    cmd-slash = 'layout floating'

    # window resizing
    alt-minus = 'resize smart -50'
    alt-equal = 'resize smart +50'

    # window focus/view
    cmd-j = 'focus up' # new windows are added "below" current, so swap up and down
    cmd-k = 'focus down'
    cmd-1 = 'workspace 1'
    cmd-2 = 'workspace 2'
    cmd-3 = 'workspace 3'
    cmd-4 = 'workspace 4'
    cmd-5 = 'workspace 5'
    cmd-6 = 'workspace 6'
    cmd-7 = 'workspace 7'
    cmd-8 = 'workspace 8'
    cmd-9 = 'workspace 9'
    cmd-0 = 'workspace 10'

    # window movement
    cmd-shift-j = 'move up' # new windows are added "below" current, so swap up and down
    cmd-shift-k = 'move down'
    cmd-shift-1 = 'move-node-to-workspace 1'
    cmd-shift-2 = 'move-node-to-workspace 2'
    cmd-shift-3 = 'move-node-to-workspace 3'
    cmd-shift-4 = 'move-node-to-workspace 4'
    cmd-shift-5 = 'move-node-to-workspace 5'
    cmd-shift-6 = 'move-node-to-workspace 6'
    cmd-shift-7 = 'move-node-to-workspace 7'
    cmd-shift-8 = 'move-node-to-workspace 8'
    cmd-shift-9 = 'move-node-to-workspace 9'
    cmd-shift-0 = 'move-node-to-workspace 10'

